### Signal

# WPEWebKit UserContentManager::script-message-with-reply-received

since: 2.40

#### Declaration

    gboolean
    script_message_with_reply_received (
      WebKitUserContentManager* self,
      JSCValue* value,
      WebKitScriptMessageReply* reply,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when JavaScript in a web view calls `window.webkit.messageHandlers..postMessage()`, after registering `` using `webkit_user_content_manager_register_script_message_handler_with_reply()`

The given `reply` can be used to send a return value with `webkit_script_message_reply_return_value()` or an error message with webkit_script_message_reply_return_error_message(). If none of them are called, an automatic reply with an undefined value will be sent.

It is possible to handle the reply asynchronously, by simply calling `g_object_ref()` on the `reply` and returning `TRUE`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed
Available since: 2.40

#### Parameters

`value`

  Type: `JSCValue`

  The value received from the JavaScript world.

  The data is owned by the caller of the function.

`reply`

  Type: `WebKitScriptMessageReply`

  The `WebKitScriptMessageReply` to send the reply to the script message.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` to stop other handlers from being invoked for the event. `FALSE` to propagate the event further.